Subject: Re: [RFC] Git Wiki Move

From: "J.H." <[email-masked]>
Date: Thu, 14 Jan 2010 10:52:35 -0800

On 01/14/2010 02:43 AM, Johannes Schindelin wrote:
> Hi,
> 
> On Thu, 14 Jan 2010, J.H. wrote:
> 
>> On 01/13/2010 05:24 PM, Petr Baudis wrote:
>>
>>> On Thu, Jan 14, 2010 at 12:29:08AM +0100, Petr Baudis wrote:
>>>> I would like to notify you that unfortunately, Czech UPC terminated 
>>>> the sponsorship of the hardware and connectivity hosting the Git Wiki 
>>>> and repo.or.cz (after generously donating it for several years).
>>>
>>>   ...please scratch the Git Wiki part, you would be supporting just 
>>> repo.or.cz - we are considering to move the Git wiki to 
>>> wiki.kernel.org MediaWiki installation and I would like to ask if 
>>> anyone disagrees with this. The motivation is that:
>>>
>>> 	(i) wiki.kernel.org is actually maintained! Thus, there should be 
>>> 	less spam or upgrade issues and better support in case of problems.
>>>
>>> 	(ii) Also, I personally think MediaWiki is so much nicer than 
>>> 	ikiwiki...
> 
> ... not to mention than MoinMoin...
> 
>>> 	(iii) ...and OBTW, no CamelCase!
>>>
>>>   Of course, there will be compatibility redirects.
>>
>> Just a heads up I've got an initial import of the current wiki up at
>> http://git.wiki.kernel.org - some of it was quite a clean conversion,
>> some of it not so much.
> 
> Did you use a script?  And did you leech the sources, or did you get a 
> dump?

Used a conversion script form a dump from Petr, needless to say it wa
sthe one generally recommended by mediawiki and even their commentary on
it was "It's the least bad" basically

> I note that "<<<!-- ! TOC here -->(2)>>" could be converted to "__TOC__", 
> I believe.

I'll have to go in behind and track those down, should be easy enough to
find / fix.

>> Please note that user accounts were not carried over but edit histories 
>> were.
> 
> IIUC there are no email addresses stored in the Git Wiki, so I think that 
> we'll have to live with that.  You might get the occasional complaint of a 
> stolen account.

I'm fine with dealing with those on an individual basis, and it would be
good for people to re-create their accounts as soon as possible.

>> I'll work on cleaning up the rest of if tomorrow, assuming that there 
>> isn't any objections to Petr's e-mail above.
> 
> I like it.  Especially since there is a fun project waiting for me to 
> get some time to do it, to convert the full history of a MediaWiki 
> instance into a Git repository.  Maybe via the git-remote* mechanism, once 
> Sverre and Ilari manage to flush out the last remnants of clumsy design.

Now you've got a solid wiki to work with that's pertinent ;-)

- John 'Warthog9' Hawley